<?php

namespace WPEP\Admin\Coordinator;

class Migration {

  /**
   * @var \WPEP\Container\Migration\Admin[]
   */
  protected $_integrations = [];

  /**
   * @param $integration \WPEP\Container\Migration\Admin
   */
  public function register( $integration ) {
    $this->_integrations[] = $integration;
  }

  /**
   * @return \WPEP\Container\Migration[]
   */
  public function get_integrations() {
    $response = [];

    foreach( $this->_integrations as $integration_admin )
      $response[] = $integration_admin->controller;

    return $response;
  }

  public function _init() {
    foreach( $this->_integrations as $integration ) {
      if( !$integration->controller->is_migration_required() ) {
        if( isset( $_GET['page'] ) && ( $_GET['page'] == "wpep-migration-" . $integration->controller->namespace ) ) {
          wpep_redirect( wpep_admin_url_dashboard() );
          exit;
        }

        continue;
      } elseif( $integration->controller->handle_migration_in_background() ) {
        $integration->controller->migrate_to_version( $integration->controller->current_version_available );
      }

      $integration->_init();
    }
  }

}