<?php

namespace WPEP\Admin\Coordinator\PlatformHealth\Tools;

use WPEP\Container\FormFields as WPEP_FormFields;
use WPEP\Admin\Coordinator\PlatformHealth\Skeleton as WPEP_PH_Skeleton;

class CSSConverter extends WPEP_PH_Skeleton {

  use WPEP_FormFields;

  public function __construct() {
    $this->set_field_prefix( "wpep_platform_health_tools" );
  }

  public function get_name() {
    return __( "CSS Converter", "wpep" );
  }

  public function get_alias() {
    return 'css-converter';
  }

  public function display() {
    echo '<form novalidate="novalidate" method="post">';

    $this->display_table_start();

    $this->display_table_textarea_field(
      __( 'Custom CSS Converter', "wpep" ),
      'custom_css_converter',
      __( "Transform Custom CSS before 1.10 to the new CSS Rules.", "wpep" ),
      false,
      '200px'
    );

    $this->display_table_end();

    echo    '<p class="submit"><input type="submit" value="' . __( "Process", "wpep" ) . '" class="button button-primary" name="wpep_platform_health_tools_submit"></p>';
    echo '</form>';
  }

  public function get_value( $key, $default = '' ) {
    if( $key == 'custom_css_converter'
      && isset( $_POST['wpep_platform_health_tools'] )
      && isset( $_POST['wpep_platform_health_tools']['custom_css_converter'] )
    ) {
      $custom_css = $_POST['wpep_platform_health_tools']['custom_css_converter'];
      $custom_css = sanitize_textarea_field( $custom_css );
      $custom_css = wpep_custom_style_format_legacy_rules( $custom_css );

      return $custom_css;
    }

    return $default;
  }

}