<?php

namespace WPEP\Admin\Coordinator\Settings;

use WPEP\Container\FormFields as WPEP_FormFields;

abstract class Skeleton {

  use WPEP_FormFields;

  public function __construct() {
    $this->set_field_prefix( 'wpep_settings' );

    if( method_exists( $this, '_setup_tabs' ) )
      $this->_setup_tabs();
  }
  
  public $tabs         = [];

  abstract public function get_name();

  abstract public function get_alias();

  public function display_tabs( $current = false ) {
    echo '<h3 class="wpep-navigation wpep-navigation-secondary" data-wpep-navigation="settings">';

    foreach( $this->tabs  as $tab => $tab_name ){
      $class = ( $tab == $current ) ? ' wpep-navigation-item-active' : '';


      echo '<a data-wpep-tab="' . $this->get_alias() . '-' . $tab . '" 
               class="wpep-navigation-item' . $class .'"
               href="' . wpep_admin_url_settings( [ 'tab' => $this->get_alias(), 'tab_inner' => $tab ] ) . '">' . $tab_name . '</a>';

    }

    echo '</h3>';

      echo '<div class="wpep-clearfix"></div>';
  }

  public function display_tabs_section( $tab_list, $current_secondary = false, $current_primary = false ) {
    echo '<h4 class="wpep-navigation wpep-navigation-tertiary" data-wpep-navigation="settings">';

    foreach( $tab_list  as $tab => $tab_name ){
      $class = ( $tab == $current_secondary ) ? ' wpep-navigation-item-active' : '';
      echo '<a class="wpep-navigation-item' . $class . '" href="' . wpep_admin_url_settings( [ 'tab' => $this->get_alias(), 'tab_inner' => $current_primary, 'tab_inner_section' => $tab ] ) . '">' . $tab_name . '</a>';
    }

    echo '</h4>';

      echo '<div class="wpep-clearfix"></div>';
  }

  public function display_as_form() {
    return true;
  }

}