<?php

namespace WPEP\Admin\Coordinator\Statistics\Emails\Dashboard;

use WPEP\Controller as WPEP_Controller;

class Clear {

  public function get_name() {
    return ( isset( $_GET['title'] ) ? __( "Clear Statistics : ", "wpep" ) . sanitize_text_field( urldecode( $_GET[ 'title' ] ) ) : __( 'Clear Emails By Title', "wpep" ) );
  }

  public function get_alias() {
    return 'clear';
  }

  public function get_file_alias( $filter_by = [] ) {
    return false;
  }

  public function is_public() {
    return false;
  }

  public function get_table_data( $entries_per_page, $current_page = 1, $filter_by = [] ) {
    $title = urldecode( $_GET[ 'title' ] );
    $record_count = WPEP_Controller::instance()->email->get_delivery_count( [
      'title' => $title
    ] );

    if( isset( $_GET[ 'confirm' ] )
        && wp_verify_nonce( $_GET[ 'confirm' ], 'wpep_clear_' . md5( $title ) ) !== false ) {
      global $wpdb;

      $wpdb->query( "DELETE FROM " . $wpdb->prefix . 'wpep_email_tracking WHERE email_notification_id IN ( SELECT id FROM `wp_wpep_email_notification` em WHERE em.title = "' . esc_sql( $title ) . '" ) ' );
      $wpdb->delete( $wpdb->prefix . 'wpep_email_notification', [ 'title' => $title ] );

      return wpep_template_get( 'admin/statistics/emails/clear-completed.php', [
        'title'         => $title,
        'record_count'  => $record_count
      ] );
    }


    return wpep_template_get( 'admin/statistics/emails/clear-confirmation.php', [
      'title'         => $title,
      'record_count'  => $record_count
    ] );
  }

}