<?php

namespace WPEP\Admin\Coordinator\Statistics;

use WPEP\Controller as WPEP_Controller;
use WP_User_Query;

class Users extends Skeleton {

  public    $tabs  = [];
  protected $_tabs = [];

  private   $_current_tab = false;

  public function __construct() {
    foreach( [
               new Users\Dashboard(),
               new Users\ListView(),
             ] as $tab )
      $this->_tabs[ $tab->get_alias() ] = $tab;

    $this->_tabs = apply_filters( "wpep_administration_statistics_users_tabs", $this->_tabs );

    foreach( $this->_tabs as $tab )
      $this->tabs[ $tab->get_alias() ] = $tab->get_name();
  }

  /**
   * @return Users\Dashboard|Users\ListView
   */
  private function _get_current_tab() {
    if( $this->_current_tab !== false )
      return $this->_tabs[ $this->_current_tab ];

    $this->_current_tab = ( isset( $_GET['tab_inner'] ) ? $_GET['tab_inner'] : false );
    $this->_current_tab = ( isset( $this->_tabs[ $this->_current_tab ] ) ? $this->_current_tab : key( $this->_tabs ) );

    return $this->_tabs[ $this->_current_tab ];
  }

  public function get_name() {
    return __( 'Users', "wpep" );
  }

  public function get_alias() {
    return 'users';
  }

  public function display( $filter_by = [] ) {
    $this->display_tabs( $this->_get_current_tab()->get_alias() );

    $this->_get_current_tab()->display( $filter_by );

    return;
  }

  public function download( $filter_by = [] ) {
    $this->_get_current_tab()->download( $filter_by );
    return;
  }

}
