<?php

namespace WPEP\ContentType\Assessment;

use WPEP\Container\FormFields as WPEP_FormFields_Configuration;

class Admin {

  use WPEP_FormFields_Configuration,
      Container\Admin\Builder,
      Container\Admin\General;

  public function __construct() {
    if( !is_admin() )
      return;

    $this->set_field_prefix( 'wpep_meta_value' );

    $this->setup_general_functionality();

    add_action( 'edit_form_after_title', [ $this, '_display_builder' ] );
  }

  public function _display_builder() {
    global $post_type;

    if( $post_type !== WPEP_POST_TYPE_ASSESSMENT )
      return;

    echo '<div id="wpep_builder" class="wpep-assessment-builder-wrapper">';

    $this->display_assessment_setup_functionality( get_the_ID(), 'wpep_assessment', true );

    echo '</div>';
  }

  public function get_value( $field_key, $field_default = '', $single = true ) {
    global $post;

    $field_value = get_post_meta( $post->ID, $field_key, $single );

    return $field_value == '' ? $field_default : $field_value;
  }

}