<?php

namespace WPEP\ContentType\Certification\Integration;

use WPEP\ContentType\Skeleton\Integration\LearningJourneyFromActionTracking as Learning_Journey_Tracking_Integration;

class LearningJourney extends Learning_Journey_Tracking_Integration {

  public function get_tracked_actions() {
    return [ WPEP_ACTION_TRACKING_TYPE_DOWNLOAD ];
  }

  public function get_action_information( $post_id, $type ) {
    $course_id = get_post( $post_id )->post_parent;

    $course_certification_status = intval( get_post_meta( $course_id, 'wpep_certificate_status', true ) );

    if( $course_certification_status === WPEP_COURSE_CERTIFICATE_STATUS_DISABLED )
      return [];

    if( !wpep_controller()->userActivity->has_completed_course(
      $course_id, get_current_user_id(), ( $course_certification_status === WPEP_COURSE_CERTIFICATE_STATUS_ENABLED_WITH_ASSESSMENTS ? true : false )
    ) )
      return [
        'link'        => get_permalink( $post_id ),
        'link_title'  => wpep_get_setting_translated( 'certification-download-box-button' ),
      ];

    return [
      'link'        => apply_filters( 'wpep_primary_content_item_link', get_permalink( $course_id ), $course_id ),
      'link_title'  => apply_filters( 'wpep_primary_content_item_link_title', wpep_get_setting_translated( 'opt-course-start-text' ), $course_id ),
    ];
  }

}