<?php

namespace WPEP\ContentType\Course\Block;

use WPEP\Entity\Course as Entity_Course;

class Misc {

  public function __construct() {
    add_shortcode( 'wpep_lesson_content', [ $this, 'lesson_content' ] );
    add_shortcode( 'wpep_course_is_completed', [ $this, 'course_is_completed' ] );
    add_shortcode( 'wpep_course_not_completed', [ $this, 'course_not_completed' ] );
  }

  public function lesson_content( $attributes, $content ) {
    if( !isset( $attributes['lesson'] ) )
      return '<p class="wpep-notification wpep-notification-danger">' . __( "wpep_lesson_content - Missing lesson parameter", "wpep" ) . '</p>';

    $lesson = Entity_Course::instance()->get_lesson( intval( $attributes['lesson'] ) );

    if( !isset( $lesson->content ) )
      return '<p class="wpep-notification wpep-notification-danger">' . __( "wpep_lesson_content - lesson content is missing.", "wpep" ) . '</p>';


    return wpep_format_content( $lesson->content );
  }

  public function course_is_completed( $attributes, $content ) {
    if( !isset( $attributes['id'] ) )
      return '<p class="wpep-notification wpep-notification-danger">' . __( "wpep_course_is_completed - Missing id parameter", "wpep" ) . '</p>';

    if( !is_user_logged_in() )
      return '';

    $course_ids = explode( ",", $attributes['id'] );

    foreach( $course_ids as $course_id ) {
      if( !wpep_user_course_is_completed( $course_id ) )
        return '';
    }

    return wpep_format_content( $content );
  }

  public function course_not_completed( $attributes, $content ) {
    if( !isset( $attributes['id'] ) )
      return '<p class="wpep-notification wpep-notification-danger">' . __( "wpep_course_is_completed - Missing id parameter", "wpep" ) . '</p>';

    if( !is_user_logged_in() )
      return $content;

    $course_ids = explode( ",", $attributes['id'] );

    foreach( $course_ids as $course_id ) {
      if( wpep_user_course_is_completed( $course_id ) )
        return '';
    }

    return wpep_format_content( $content );
  }

}