<?php

namespace WPEP\ContentType\Course\Integration\Statistics;

use WPEP\Controller as WPEP_Controller;

class UserSingle {

  public function display( $course_id, $user_id ) {
    $user_information = get_user_by( 'ID', $user_id );
    $course_list      = get_posts( [ 'post_type' => WPEP_POST_TYPE_COURSE, 'nopaging' => true, 'orderby' => 'title', 'author' => wpep_user_statistics_query_author_id() ] );

    echo wpep_breadcrumb( [
      wpep_admin_url_statistics_content_type( WPEP_POST_TYPE_COURSE ) => __( "Course List", "wpep" ),
      wpep_admin_url_statistics_content_type( WPEP_POST_TYPE_COURSE, [ 'user_id' => $user_id ] ) => sprintf( __( "%ss' Course List", "wpep" ), wpep_content_user_profile_format_name( $user_information ) ),
      false => sprintf( __( "%ss' Course Report", "wpep" ), wpep_content_user_profile_format_name( $user_information ) )
    ] );

    wpep_template_load( 'admin/statistics/course-user-single.php', [
      'user_information'    => $user_information,
      'user_progress_repeat'=> WPEP_Controller::instance()->userActivity->get_course_user_data_value( WPEP_USER_COURSE_REPEAT_TRACKER, $course_id, false, false, $user_id, false ),
      'user_course_map'     => WPEP_Controller::instance()->userActivity->course_map( $course_id, $user_information->ID ),
      'course_list'         => $course_list,
      'course_id'           => $course_id,
      'user_id'             => $user_id
    ] );
  }

}