<?php

namespace WPEP\ContentType\Skeleton\Integration;

use WPEP\ContentType\Skeleton\Skeleton as Content_Type_Skeleton;

abstract class LearningJourney {

  /**
   * @var Content_Type_Skeleton
   */
  protected $_contentTypeInstance;

  /**
   * LearningJourney constructor.
   * @param Content_Type_Skeleton $content_type_instance
   */
  public function __construct( $content_type_instance ) {
    $this->_contentTypeInstance = $content_type_instance;
  }

  /**
   * The array format
   * @param int $post_id
   * @return array [ name, description, status, last_action_timestamp, link, link_title, design_attribute ]
   */
  abstract public function get_step_map_for_current_user( $post_id );

}