<?php

namespace WPEP\ContentType\Video;

use WPEP\ContentType\Skeleton\Integration\LearningJourneyFromActionTracking as Learning_Journey_Tracking_Integration;

class LearningJourney extends Learning_Journey_Tracking_Integration {

  public function get_tracked_actions() {
    return [ WPEP_ACTION_TRACKING_TYPE_ACCESS_CONTENT ];
  }

  public function get_action_information( $post_id, $type ) {
    return [
      'link'       => apply_filters(
        'wpep_primary_content_item_link',
        get_permalink( $post_id ),
        $post_id
      ),
      'link_title' => apply_filters(
        'wpep_primary_content_item_link_title',
        wpep_get_setting_translated( 'video-watch-now' ),
        $post_id
      ),
      'description' => get_the_excerpt( $post_id ),
      'icon_html'   => '<svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 58 58" style="enable-background:new 0 0 58 58;" xml:space="preserve"> <g> <path d="M36.537,28.156l-11-7c-0.308-0.195-0.698-0.208-1.019-0.033C24.199,21.299,24,21.635,24,22v14 c0,0.365,0.199,0.701,0.519,0.877C24.669,36.959,24.834,37,25,37c0.187,0,0.374-0.053,0.537-0.156l11-7 C36.825,29.66,37,29.342,37,29S36.825,28.34,36.537,28.156z M26,34.179V23.821L34.137,29L26,34.179z"/> <path d="M57,6H47H11H1C0.448,6,0,6.447,0,7v11v11v11v11c0,0.553,0.448,1,1,1h10h36h10c0.552,0,1-0.447,1-1V40V29V18V7 C58,6.447,57.552,6,57,6z M10,28H2v-9h8V28z M2,30h8v9H2V30z M12,40V29V18V8h34v10v11v11v10H12V40z M56,28h-8v-9h8V28z M48,30h8v9 h-8V30z M56,8v9h-8V8H56z M2,8h8v9H2V8z M2,50v-9h8v9H2z M56,50h-8v-9h8V50z"/> </g> <g> </g> <g> </g> <g> </g> <g> </g> <g> </g> <g> </g> <g> </g> <g> </g> <g> </g> <g> </g> <g> </g> <g> </g> <g> </g> <g> </g> <g> </g> </svg>'
    ];
  }

}