<?php

namespace WPEP\Coordinator\Discussion;

use WPEP\Entity\Discussion as Entity_Discussion;

class Events {

  public function setup() {
    add_action( 'delete_post', [ $this, "_on_delete_post" ] );
    add_action( 'delete_user', [ $this, "_on_delete_user" ] );
  }

  public function _on_delete_post( $post_id ) {
    $discussions = Entity_Discussion::instance()->get_discussion( [ 'post_id' => [ '=' => $post_id ] ] );

    if( empty( $discussions ) )
      return;

    global $wpdb;

    foreach( $discussions as $discussion ) {
      $wpdb->delete( Entity_Discussion::instance()->table_discussion_comment, [ 'discussion_id' => $discussion->id ] );
      $wpdb->delete( Entity_Discussion::instance()->table_discussion_data, [ 'discussion_id' => $discussion->id ] );

      $wpdb->delete( Entity_Discussion::instance()->table_discussion, [ 'id' => $discussion->id ] );
    }
  }

  public function _on_delete_user( $user_id ) {
    global $wpdb;

    $wpdb->delete( Entity_Discussion::instance()->table_discussion_comment, [ 'user_id' => $user_id ] );
    $wpdb->delete( Entity_Discussion::instance()->table_discussion_data, [ 'user_id' => $user_id ] );
  }

}