<?php

namespace WPEP\Coordinator;

class EmailMarketing {

  /**
   * @var \WPEP_Integration_Email_Marketing[]
   */
  protected $_integrations = [];

  /**
   * @param \WPEP_Integration_Email_Marketing $email_marketing_integration
   */
  public function register( $email_marketing_integration ) {
    $this->_integrations[ $email_marketing_integration->get_alias() ] = $email_marketing_integration;
  }

  /**
   * @return \WPEP_Integration_Email_Marketing[]
   */
  public function get_integrations(){
    return $this->_integrations;
  }

  /**
   * @param $tag
   * @param $user_id
   */
  public function tag_user( $tag, $user_id ) {
    if( empty( $tag ) )
      return;

    foreach( $this->_integrations as $integration )
      $integration->add_tag( $tag, $user_id );
  }

}