<?php

namespace WPEP\Coordinator\UserEngagement;

class Misc {

  public function __construct() {
    if( wpep_get_setting_flag( 'email-reset-password-override-filter' )  ) {
      add_filter( 'retrieve_password_title', [ $this, 'email_password_reset_title' ], 50, 1 );
      add_filter( 'retrieve_password_message', [ $this, 'email_password_reset_content' ], 50, 3 );
    }
  }

  public function email_password_reset_title( $title ) {
    $blogname = ( is_multisite() ? get_network()->site_name : wp_specialchars_decode(get_option('blogname'), ENT_QUOTES) );

    return sprintf( wpep_get_setting( 'email-reset-password-title' ), $blogname );
  }

  public function email_password_reset_content( $message, $key, $user_login ) {
    $message = $this->email_password_reset_content_no_template( $key, $user_login );
    $message = wpautop( $message );

    if( wpep_get_setting_flag( 'email-reset-password-use-template' ) ) {
      $message = wpep_controller()->template->get_template( 'email-template/layout.php', [
        'email_title'   => $this->email_password_reset_title( '' ),
        'email_content' => $message,
        'email_logo'    => wpep_get_setting( 'email-logo', wpep_get_placeholder_image() )
      ] );
    }

    return $message;
  }

  public function email_password_reset_content_no_template( $key, $user_login ) {
    $message = wpep_get_setting( 'email-reset-password-content' );

    $message = str_replace( '[site_url]', network_home_url( '/' ), $message );
    $message = str_replace( '[username]', $user_login, $message );
    $message = str_replace( '[password_reset]', network_site_url("wp-login.php?action=rp&key=$key&login=" . rawurlencode($user_login), 'login'), $message );

    return $message;
  }

}
