<?php

namespace WPEP\Coordinator\UserEngagement;

use WPEP\Controller as WPEP_Controller;

class WeeklyRecap {

  public function __construct() {
    if( wpep_get_setting_flag( 'email-weekly-recap-status' )  ) {
      add_action( 'wpep_cron_weekly', [ $this, 'weekly_cron_hook' ] );
      add_action( 'wpep_cron_five_minutes', [ $this, 'five_minute_cron_hook' ] );
    }
  }

  public function five_minute_cron_hook() {
    $user_ids = get_option( 'wpep_weekly_recap_que', [] );

    if( empty( $user_ids ) )
      return;

    $current_que_user_ids = array_slice( $user_ids, 0, WPEP_EMAIL_NOTIFICATION_ENTRIES_PER_JOB );

    WPEP_Controller::instance()->userEngagement->send_email(
      $current_que_user_ids,
      wpep_get_setting( 'email-weekly-recap-title' ),
      wpep_get_setting( 'email-weekly-recap-content' )
    );

    update_option( 'wpep_weekly_recap_que', array_diff( $user_ids, $current_que_user_ids ) );
  }
  
  public function weekly_cron_hook() {
    $user_ids = WPEP_Controller::instance()->userEngagement->get_user_list();

    if( empty( $user_ids ) )
      return;

    foreach( $user_ids as $position => $user_id ) {
      $status = get_user_meta( $user_id, 'wpep_disable_email_weekly_recap', true );

      if( $status === '' || $status === '0' )
        continue;

      unset( $user_ids[$position] );
    }

    update_option( 'wpep_weekly_recap_que', $user_ids );
  }

}
