<?php

namespace WPEP;

use WPEP\Controller as WPEP_Controller;

class Settings {

  /**
   * @var Settings
   */
  protected static $_instance;

  public static function instance() {
    if( self::$_instance === null )
      self::$_instance = new self();

    return self::$_instance;
  }

  public $defaultOptions = [
    'enable-student-supervisor'             => 0,
    'enable-post-author-field'              => 0,
    'post-list-type-by-individual-author'   => 'all',
    'register-default-categories'           => 0,
    'data-system-enable-background-backups' => 0,
    'data-system-backups-cap'               => 7,
    'configuration-setup-rules-flushed' => 1,
    'menu-position'               => 3,
    'enforce-rtl-support'         => 0,
    'disable-admin-bar-for-students' => 0,
    'opt-course-index'            => 0,
    'opt-course-heading'          => '',
    'opt-course-sub-heading'      => '',
    'opt-course-progressbar'      => 'The Completion Level of Your Training.',
    'opt-course-secondary-filter' => 'Filter By',
    'opt-course-author-box'       => 0,
    'opt-course-percentage-bar'   => 1,
    'wpep-placeholder-image'      => WPEP_PLACEHOLDER_IMAGE,
    'wpep-theme'                  => 'legacy',
    'wpep-custom-css'             => '',
    'wpep-custom-color'           => '',
    'wpep-custom-color-secondary' => '',
    'wpep-custom-font-size'       => '',
    'wpep-custom-font-family'     => '',
    'wpep-custom-css-by-file'     => 1,
    'disable-secondary-permalink' => 1,
    'show-lesson-continue-button' => 0,
    'show-lesson-hover-color'     => 0,
    'lesson-learning-path-placeholder'  => 'Select Learning Path',
    'lesson-quick-continue-button-text' => 'Next',
    'lesson-quick-continue-final-button-text' => 'Complete Course',
    'wpep-editor-setup'      => 'default',
    'lesson-wp-editor-preload'        => 1,
    'lesson-wp-editor-enabled-new'    => 1,
    'lesson-continue-button-position' => 'default',
    'admin-course-preset-sections'    => 2,
    'admin-course-preset-lessons'     => 2,
    'admin-course-save-alert'         => 1,
    'admin-editor-integration'        => 1,
    'prerequisite-suggested-notification'  => 'In order to start this Course you need to go thru %s first.',
    'prerequisite-required-notification'   => 'In order to start this Course you need to complete the following %s first.',
    'prerequisite-next-courses-title'      => "What's next ?",
    'prerequisite-course-button-lock'      => 0,
    'prerequisite-course-button-lock-text'    => "Not Available",
    'course-coming-soon-student-notification' => "[wpep_notification type=\"danger\"]This course is not available yet.[/wpep_notification]",
    'course-downloads-basic'                  => 0,
    'course-downloads-position'            => 'bottom',
    'course-downloads-list-title'          => "Available Deliverables",
    'course-downloads-list-download'       => "Download",
    'course-use-the-content-filter'        => 1,
    'course-pre-authentication-tracking'   => 1,
    'course-resize-wistia-embeds'          => 0,
    'course-standard-allow-index-page'        => 0,
    'course-standard-allow-index-page-widgets'=> 1,
    'course-standard-redirect-on-completion'  => 0,
    'course-standard-section'         => 'Section',
    'course-standard-lesson'          => 'Lesson',
    'course-standard-start-lesson'    => 'Start Lesson',
    'course-standard-section-list'    => 'Section List : ',
    'course-standard-course-progress' => 'Course Progress',
    'course-standard-course-navigation' => 'Course Navigation',
    'course-standard-lesson-completed'  => 'This lesson has been completed.',
    'course-standard-complete-lesson'   => 'Complete Lesson',
    'course-standard-previous-lesson'   => 'Previous Lesson',
    'course-standard-next-lesson'       => 'Next Lesson',
    'course-video-allow-index-page'        => 1,
    'course-video-redirect-on-completion'  => 0,
    'course-video-course-status'         => 'Course Status',
    'course-video-course-status-pending'  => 'Pending',
    'course-video-course-status-progress' => 'Progressing',
    'course-video-course-status-completed'=> 'Completed',
    'course-video-course-table-sections'  => 'Sections',
    'course-video-course-table-status'  => 'Status',
    'course-video-lesson-back'          => 'Back to Overview',
    'course-video-lesson-description'   => 'Available Downloads',
    'course-video-lesson-completed'     => 'Video has been watched.',
    'course-video-lesson-complete'      => "Mark as completed.",
    'course-video-previous-lesson'      => 'Previous Video',
    'course-video-next-lesson'          => 'Next Video',
    'course-video-course-progress'      => 'Course Progress',
    'course-video-start-section'        => 'Start Section',
    'course-basic-enable-video-description' => 0,
    'course-basic-complete-course'          => 'Complete Course',
    'course-basic-course-completed'         => 'Course Completed',
    'course-basic-jump-link-title'          => 'Video Index',
    'course-challenge-introduction-text'       => "Your objectives for this module:",
    'course-challenge-section-slug'            => 'day-id',
    'course-challenge-social-share-status'   => 1,
    'course-challenge-social-share-cta'      => "<p>USE THE SOCIAL LINKS BELOW TO SHARE</p><p>THE CHALLENGE WITH YOUR FRIENDS!</p>",
    'course-challenge-social-share-networks' => [
      'facebook', 'twitter', 'pinterest'
    ],
    'user-delete-tag-email-marketing'     => '',
    'user-auth-enable-registration'       => 1,
    'user-auth-status-level'              => 0,
    'user-auth-sidebar-marketing-status'   => 0,
    'user-auth-sidebar-marketing-content'  => '',
    'user-auth-field-login-identifier'    => "Username or Email Address",
    'user-auth-field-username'            => "Username",
    'user-auth-field-first-name'          => "First Name",
    'user-auth-field-last-name'           => "Last Name",
    'user-auth-field-location'            => "Location",
    'user-auth-field-website'             => "Website",
    'user-auth-field-sid'                 => "Student Identification",
    'user-auth-field-about-me'            => "About Me",
    'user-auth-field-email-address'       => "Email Address",
    'user-auth-field-password'            => "Password",
    'user-auth-field-remember-me'         => "Remember me",
    'user-auth-open-tab-register'         => "Register Account",
    'user-auth-open-tab-reset-password'   => "Reset Password",
    'user-auth-open-tab-login'            => "I already have an Account",
    'user-auth-return-to-login'           => "Return to Login",
    'user-auth-operation-login'           => "Login",
    'user-auth-operation-register'        => "Register",
    'user-auth-operation-reset-password'  => "Reset Password",
    'user-auth-notification-please-register'        => "Register an account by completing the following fields.",
    'user-auth-notification-page-expired'           => "The page has expired, please check again in a few moments.",
    'user-auth-notification-login-details-required' => "Please enter your username and password",
    'user-auth-notification-password-incorrect'     => "The password you entered is incorrect",
    'user-auth-notification-logged-in'              => "You have been logged in successfully, please wait a moment",
    'user-auth-notification-account-registered'     => "Your account has been created, we're logging you in, please wait a moment",
    'user-auth-notification-password-reset'          => "Please check your email address for instructions.",
    'user-auth-notification-already-logged-in'       => "You're already logged in, please wait a few moments.",
    'user-auth-notification-recovery-not-registered' => 'There is no user registered with that email address',
    'user-profile-default-profile-picture'  => WPEP_PROFILE_PLACEHOLDER_IMAGE,
    'user-profile-default-cover-picture'    => WPEP_PROFILE_COVER_PLACEHOLDER_IMAGE,
    'user-profile-cover-picture-status'     => 1,
    'user-profile-heading'                  => "User Profile : %s",
    'user-profile-change-picture-button'    => "Change",
    'user-profile-privacy-setting-status'   => 0,
    'user-profile-privacy-setting-default'  => WPEP_USER_PROFILE_PRIVACY_TYPE_PRIVATE,
    'user-profile-privacy-setting-public'   => 'Public Profile',
    'user-profile-privacy-setting-private'  => 'Private Profile',
    'user-profile-privacy-setting-tooltip'  => 'Your Profile is Private, you can switch it to a Profile Public if you want to share it with your friends.',
    'user-profile-public-active'        => 0,
    'user-profile-public-slug'          => '',
    'user-profile-marketing-content-status'         => 0,
    'user-profile-marketing-content'                => '',
    'user-profile-email-notification-weekly-recap' => 'Weekly Recap',
    'user-profile-update-button' => 'Save',
    'user-profile-student-supervisor-placeholder' => 'Choose your Supervisor',
    'user-profile-student-supervisor-allow-change'=> 0,
    'user-profile-tab-default-tabs-enabled'   => 1,
    'user-profile-tab-my-content-enabled'     => 0,
    'user-profile-tab-my-content'             => 'My Content',
    'user-profile-tab-progressing-courses'    => 'Progressing',
    'user-profile-tab-completed-courses'      => 'Completed',
    'user-profile-tab-bookmarked-courses'     => 'My Bookmarks',
    'user-profile-tab-my-students'             => 'My Students',
    'user-profile-tab-my-students-content'     => 'These are the students that have chosen you as a supervisor.',
    'user-profile-tab-my-students-content-pre' => '[wpep_notification type="info"]At the moment there\'s no students that have selected you as a Supervisor, you\'ll see them here once they do.[/wpep_notification]',
    'user-profile-courses-per-row'            => WPEP_ITEMS_PER_ROW_DYNAMIC,
    'user-profile-course-public-available'  => 1,
    'user-profile-course-public-progress-bars'=> 0,
    'user-profile-course-public-email-address'=> 0,
    'user-profile-change-picture'             => 'Change Profile Picture',
    'user-profile-change-picture-cover'       => 'Change Cover Picture',
    'user-profile-enabled-social-networks'    => [
      'facebook', 'twitter', 'instagram', 'linkedin'
    ],
    'user-profile-tab-link-format'            => 'label',
    'user-profile-tab-ordering'               => [],
    'user-profile-custom-tabs-enabled'        => 0,
    'user-profile-custom-tabs'                => [],
    'user-profile-custom-tabs-position'       => 'right',
    'index-page-enable-pagination'            => 0,
    'index-page-entries-per-page'             => 12,
    'index-page-enable-filter-all-categories' => 0,
    'index-page-single-category-primary-view' => 0,
    'index-page-enforce-ordering'             => 0,
    'index-page-categories-per-row'           => 0,
    'index-page-category-presentation-labels' => 0,
    'index-page-filter-search'                => 'Search',
    'index-page-categories-filter-require-all'=> 1,
    'index-page-filter-all-categories-title'  => 'All Topics',
    'index-page-filter-all-categories-image'  => '',
    'layout-max-width'                        => 1024,
    'layout-background-color'                 => '',
    'layout-padding'                          => 'default',
    'layout-box-shadow'                       => 'default',
    'rewrite-slug-categories'                 => 'course_category',
    'enable-course-deliverables'              => 1,
    'enable-course-comments'                  => 0,
    'enable-course-assessments'               => 0,
    'enable-course-bookmarks'                 => 0,
    'enable-course-timing-option'             => 0,
    'enable-lesson-incomplete-option'         => 0,
    'enable-post-member-magnet-option'        => 0,
    'enable-post-member-magnet-interaction'   => 1,
    'post-member-magnet-type'                 => 'standard',
    'enable-course-tracking-code-option'      => 0,
    'email-weekly-recap-status'                     => 0,
    'email-weekly-recap-title'                      => 'Your weekly recap is here : [date].',
    'email-weekly-recap-content'                    => 'Hello [user_name],
Hope you a great weekend!
[condition_has_activity]
Here is a Quick Summary of your stats from last week :
You have completed [number_lessons_completed] lessons.
[condition_has_completed_courses]
Recently Completed Courses
[list_courses_completed]
[/condition_has_completed_courses]
[condition_has_started_courses]
Courses You Started
[list_courses_started]
[/condition_has_started_courses]
[/condition_has_activity]
[condition_no_activity]

Just a quick reminder for you that you still have some great content waiting for you.

<a href="[site_url]">[site_url]</a>

[/condition_no_activity]

If you want to disable these emails, please update your profile settings, or contact an administrator.',
    'email-logo'                             => '',
    'email-company-name'                     => '',
    'email-company-address'                  => '',
    'email-copyright-text'                   => '',
    'email-from-name'                        => '',
    'email-from-email'                       => '',
    'email-tracking-salt'                    => '',
    'email-reset-password-override-filter'   => 0,
    'email-reset-password-use-template'      => 1,
    'email-reset-password-title'             => '[%s] Password Reset',
    'email-reset-password-content'           => 'Someone has requested a password reset for the following account:
    [site_url]
    Username : [username]
    If this was a mistake, just ignore this email and nothing will happen.
    To reset your password, visit the following address:
    <a href="[password_reset]">[password_reset]</a>
    
    If the link above is not clickable, copy paste the following link into your browser : 
    <[password_reset]>
    ',
    'assessment-course-page-embed'           => 0,
    'assessment-course-protection-rules'     => 1,
    'assessment-ajax-enabled' => 0,
    'assessment'        => 'Assessment',
    'assessment-time-text' => 'You have a limited amount of time to complete this Assessment.',
    'assessment-time-start'=> 'Start Now',
    'assessment-view'   => 'View Assessment',
    'assessment-questions'         => 'Questions',
    'assessment-questions-correct' => 'Questions Correct',
    'assessment-view-questions' => 'View Questions',
    'assessment-retake'         => 'Retake Assessment',
    'assessment-status'         => 'Status',
    'assessment-status-label-pending'         => 'Pending',
    'assessment-status-label-pending_review'  => 'Pending Review',
    'assessment-status-label-completed'       => 'Completed',
    'assessment-status-label-failed'          => 'Failed',
    'assessment-success-message'  => "<p>Completing this assessment enables you to continue the course.</p>
                                      <p>You can continue the Course by clicking the 'Continue to Course' button.</p>",
    'assessment-time-remaining'   => 'Time left : ',
    'assessment-time-allowed'     => 'Assessment Time',
    'assessment-part-prev'        => 'Previous Question',
    'assessment-part-next'        => 'Next Question',
    'assessment-submit'           => 'Submit Answers',
    'assessment-save'             => 'Save Answers',
    'assessment-return-to-course' => 'Return to Course',
    'assessment-go-to-course'     => 'Continue to Course',
    'assessment-score'            => 'Assessment Score',
    'assessment-score-requirement' => 'Required to Pass',
    'assessment-file-upload'      => 'Upload File',
    'assessment-input-placeholder'=> 'Write the answer to the question...',
    'assessment-status-pending'        => 'You have not submitted your answers for this assessment yet.',
    'assessment-status-pending-review' => 'The Assessment is currently being reviewed.',
    'assessment-status-completed'      => 'The Assessment has been completed successfully.',
    'assessment-status-failed'         => 'The Assessment has not been successfully completed',
    'assessment-question-status-correct'     => 'The answer provided is correct.',
    'assessment-question-status-incorrect'   => 'The answer provided is incorrect.',
    'assessment-answer-breakdown-separator'  => ' of ',
    'assessment-admin-email-notification-deliver-to' => 0,
    'assessment-admin-email-notification-title'   => 'New Submission : [assessment_name]',
    'assessment-admin-email-notification-content' => '<br/>' .
                                                     '<p>[assessment_student_name] has [assessment_student_status] the [assessment_name] assessment, with a score of [assessment_student_score].</p>' .
                                                     '<p>[assessment_student_answers]</p><br/>' .
                                                     '<p><a href="[assessment_student_submission_link]">Manage Assessment Submission</a></p>',
    'search-results-number'     => 5,
    'search-no-results-found'   => 'No results found',
    'search-input-placeholder'  => 'Search',
    'search-image-ribbon'       => 1,
    'enable-sid-support'              => 0,
    'enable-progress-repeat-support'  => 0,
    'enable-certifications-support'   => 0,
    'enable-auto-login-link'        => 0,
    'auto-login-link-token'         => 'wpep-login-token',
    'auto-login-link-salt'          => '',
    'auto-login-link-last-generate' => 0,
    'certification-download-box-place'   => 'top',
    'certification-download-box-title'   => 'Download Your Certificate',
    'certification-download-box-button'  => 'Download Certificate',
    'certification-user-profile-title'   => 'Certifications',
    'certification-user-profile-public'  => 0,
    'progress-repeat-button'          => "Repeat Course",
    'progress-repeat-headline'        => "Course Repeat History",
    'user-content-embed-domain-verify'    => 0,
    'user-content-embed-domain-list'      => [],
    'user-content-embed-error-notification'      => '<p style="text-align:center;">This content is not available anymore.</p>',
    'user-content-embed-box-inside-embeds'       => 1,
    'user-content-embed-box-enabled'             => 0,
    'user-content-embed-box-course-status'       => 1,
    'user-content-embed-box-title'               => 'Share This Course!',
    'user-content-embed-box-description'         => '<p style="text-align: center;">Embed this course on your own website.</p>
                                                     <p style="text-align: center;">Simply Copy and Paste the embed code onto any Page.</p>',
    'user-content-embed-box-button'              => 'Copy Embed Code',
    'user-content-embed-box-button-clicked'      => 'Copied !',
    'comments-refresh-ms-interval'               => 10,
    'comments-search-label'                      => 'Search',
    'comments-filter-mine'                       => 'Show My Activity',
    'comments-per-page'                          => 5,
    'comment-replies-per-page'                   => 5,
    'comment-replies-show-more'                  => 'View %s more replies',
    'comments-notification-content-empty'        => 'You cannot send an empty comment.',
    'comments-authority-badge-name'              => 'Admin',
    'comments-button-reply'                      => 'Reply',
    'comments-button-cancel-reply'               => 'Cancel Reply',
    'comments-button-submit'                     => 'Add Post',
    'comments-button-reply-submit'               => 'Add Comment',
    'comments-button-delete'                     => 'Delete',
    'comments-button-confirm-delete'             => 'Confirm Delete',
    'comments-button-feature-comment'            => 'Feature Post',
    'comments-navigation-previous'               => 'Previous',
    'comments-navigation-next'                   => 'Next',
    'comments-user-list-status'                  => 0,
    'comments-user-list-title'                   => "Who's taking part in the conversation :",
    'comments-user-list-view-profile'            => 'View Profile',
    'comments-user-list-show-container'          => 'Show List',
    'comments-discussion-notifications-title'    => 'Discussion Notifications',
    'comments-email-notification-title'          => "Here's what you've missed : [date]",
    'comments-email-notification-content'        => '<p>Hello [name],</p>
                                                     <p>Here is what has been happening across [discussion_activity_number] conversation(s) you are taking part of.</p> 
                                                     [discussion_activity_preview]',
    'comments-email-notification-button-view'    => 'View Discussion',
    'comments-email-notification-frequency'      => 900,
    'content-type-courses-rewrite-slug'       => 'courses',
    'content-type-courses-enabled'            => 1,
    'content-type-courses-enable-archive'     => 1,
    'content-type-assessment-rewrite-slug'    => 'wpep_assessment',
    'user-agreement-introduction-text'        => 'Before you can continue, you must confirm our Terms of Service & Privacy Policy',
    'user-agreement-button-accept'            => 'Accept',
    'user-agreement-button-decline'           => 'Decline',
    'user-agreement-button-decline-page'      => '',
    'user-agreement-notification-success'     => "Success ! Please wait while we're loading your content...",
    'user-service-agreement-enabled'          => 0,
    'user-service-agreement-title'            => 'I agree to the Terms of Service',
    'user-service-agreement-content'          => '',
    'user-service-agreement-error'            => 'You must agree to the Terms of Service',
    'user-service-agreement-last-change'      => '',
    'user-privacy-agreement-enabled'          => 0,
    'user-privacy-agreement-title'            => 'I agree to the Privacy Policy',
    'user-privacy-agreement-content'          => '',
    'user-privacy-agreement-error'            => 'You must agree to the Privacy Policy',
    'user-privacy-agreement-last-change'      => '',
    'user-account-delete-enabled'             => 0,
    'user-account-delete-button'              => 'Close Account',
    'user-account-delete-confirmation'        => 'This action cannot be undone, your account will be permanently deleted.',
    'user-account-delete-confirmation-button' => 'Delete Account',
    'user-account-delete-confirmation-cancel-button' => "Keep Account",
    'user-account-delete-success-page'        => '',
    'user-account-export-student-information' => 'Student Information'
  ];

  public $options;

  public $option_name = 'wpep_opts';

  public function __construct() {
    $this->refresh();
  }

  public function refresh() {
    $this->options = get_option( $this->option_name, $this->defaultOptions );
  }

  /**
   * @param $option_name
   * @return string
   */
  public function get_option_translated( $option_name ) {
    if( isset( $this->options[$option_name] ) )
      return $this->options[$option_name];

    if( isset( $this->defaultOptions[$option_name] ) )
      return __( $this->defaultOptions[$option_name], "wpep" );

    return $option_name;
  }

  public function get_option( $option_name, $default = '' ) {
    if( is_array( $option_name ) ) {
      $response = [];

      foreach( $option_name as $option )
        $response[ $option ] = $this->get_option( $option, $default );

      return $response;
    }

    if( isset( $this->options[$option_name] ) )
      return $this->options[$option_name];

    if( $default == '' && isset( $this->defaultOptions[$option_name] ) )
      return $this->defaultOptions[$option_name];

    return $default;
  }

  public function has_changed_setting( $check_setting = [] ) {
    if( is_string( $check_setting ) )
      return ( !isset( $this->defaultOptions[ $check_setting ] ) ? true : $this->get_option( $check_setting ) != $this->defaultOptions[ $check_setting ] );

    foreach( $check_setting as $current_check )
      if( $this->has_changed_setting( $current_check ) )
        return true;

    return false;
  }

  /**
   * When the settings update is silent, it means it's an update or activation operation.
   * @param $options
   * @param bool $silent
   * @return bool
   */
  public function update_settings( $options, $silent = false ) {
    $flush_rules = false;

    foreach( $options as $option_key => $option_value ) {
      if( wpep_string_ends_with( $option_key, '-rewrite-slug' ) ) {
        $option_value = sanitize_title( $option_value );
        $flush_rules  = true;
      } else if( in_array( $option_key, [ 'enable-course-assessments', 'rewrite-slug-categories', 'user-profile-email-notification-weekly-recap' ] )
                  ||  strpos( $option_key, 'content-type-' ) === 0 ) {
        $flush_rules  = true;
      } else if( in_array( $option_key, [ 'user-service-agreement-last-change', 'user-privacy-agreement-last-change' ] ) ) {
        $option_value = ( $option_value == '' ? $option_value : date( 'Y-m-d', strtotime( $option_value ) ) );
      } else if( in_array( $option_key, [ 'user-content-embed-domain-list' ] ) ) {
        if( !is_array( $option_value ) ) {
          $option_value = [];
        } else {
          foreach( $option_value as $k => $v )
            $option_value[$k] = trim( $v, '/' );
        }
      }
       
      if( is_string( $option_value ) ) {
        $option_value = stripslashes( $option_value );
      } elseif( is_array( $option_value ) ) {
        foreach( $option_value as $opt_val_key => $opt_val_val )
          $option_value[$opt_val_key] = ( is_string( $opt_val_val ) ? stripslashes( $opt_val_val ) : $opt_val_val );
      }

      if( isset( $this->defaultOptions[ $option_key ] )
          && $this->defaultOptions[ $option_key ] == $option_value
          && strpos( $option_key, 'content-type-' ) !== 0 ) {
        unset( $this->options[$option_key] );
        continue;
      }

      $this->options[$option_key] = $option_value;
    }

    if( $flush_rules )
      $this->options['configuration-setup-rules-flushed'] = 0;

    update_option( $this->option_name, $this->options );

    if( $silent )
      return true;

    if( $this->get_option( 'wpep-custom-css-by-file' )
        || isset( $options['wpep-custom-color'] )
        || isset( $options['wpep-custom-color-secondary'] )
        || isset( $options['wpep-custom-font-size'] )
        || isset( $options['wpep-custom-font-family'] )
        || isset( $options['index-page-ribbon-text-color'] )
        || isset( $options['index-page-ribbon-text-color-background'] )
    )
      wpep_refresh_custom_style_file( true );

    return true;
  }

  public function delete_setting( $options ) {
    if( !is_array( $options ) )
      $options = [ $options ];

    foreach( $options as $option_key )
      unset( $this->options[$option_key] );

    update_option( $this->option_name, $this->options );

    if( $this->get_option( 'wpep-custom-css-by-file' ) )
      wpep_refresh_custom_style_file( true );

    return true;
  }

  public function update_post_order( $post_order_list ) {
    $i = 1; foreach( $post_order_list as $post_id )
      update_post_meta( $post_id, 'wpep_order', $i++ );
  }

  public function update_taxonomy_order( $taxonomy_order_list ) {
    $i = 1; foreach( $taxonomy_order_list as $post_id )
      update_term_meta( $post_id, 'wpep_order', $i++ );
  }

  public function update_addon_settings( $addon_settings_map ) {
    if( !is_array( $addon_settings_map ) )
      return false;

    foreach( $addon_settings_map as $settings_alias => $settings_information ) {

      $settings_instance = WPEP_Controller::instance()->addOns->get_add_on_settings($settings_alias);

      if( $settings_instance == false )
        continue;

      $settings_instance->save_information( $settings_information );
    }

    return true;
  }

  public function get_legacy_options() {
    $response = [];

    foreach( $this->options as $option_key => $option_value )
      if( !isset( $this->defaultOptions[ $option_key ] ) )
        $response[] = $option_key;

    return $response;
  }

}
