<?php

function wpep_learning_journey_delivery_types() {
  return [
    WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_INSTANT         => __( "Instant Access", "wpep" ),
    WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_DRIPPED         => __( "Dripped", "wpep" ),
    WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_SPECIFIC_DATE   => __( "Specific Date", "wpep" ),
    WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_DRIPPED_SECONDS => __( "Advanced : Dripped By Seconds", "wpep" )
  ];
}

function wpep_learning_journey_information_pre_save( $information, $inner_field_prefix = 'journey_delivery', $fallback_type = WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_INSTANT ) {
  if( $information[ $inner_field_prefix . '_type' ] === WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_SPECIFIC_DATE ) {
    $information[ $inner_field_prefix . '_segment' ] = ( $information[ $inner_field_prefix . '_segment' ] === '' ? 0 : strtotime( $information[ $inner_field_prefix . '_segment' ] ) );

    if( $information[ $inner_field_prefix . '_segment' ] === 0 ) {
      $information[ $inner_field_prefix . '_type' ] = $fallback_type;
      $information[ $inner_field_prefix . '_segment' ] = '';
    } else {
      $information[ $inner_field_prefix . '_segment' ] = date( 'Y-m-d H:i', $information[ $inner_field_prefix . '_segment' ] );
    }
  }

  return $information;
}

function wpep_learning_journey_course_tokens_map() {
  return [
    'journey_access'     => [
      'name'      => __( "Delivery Method", "wpep" ),
      'options'   => [
        WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_INSTANT         => __( "Instant", "wpep" ),
        WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_DRIPPED         => __( "Dripped", "wpep" ),
        WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_SPECIFIC_DATE   => __( "Specific Date", "wpep" ),
        WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_DRIPPED_SECONDS => __( "Advanced : Dripped By Seconds", "wpep" )
      ]
    ],
    'journey_expiration' => [
      'name'      => __( "Restricted After", "wpep" ),
      'options'   => [
        WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_NONE            => __( "No Restriction", "wpep" ),
        WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_DRIPPED         => __( "By Day", "wpep" ),
        WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_SPECIFIC_DATE   => __( "Specific Date", "wpep" ),
        WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_DRIPPED_SECONDS => __( "Advanced : By Seconds", "wpep" )
      ]
    ],/** @todo Implement this option in a future release
    'journey_execution'  => [
      'name'      => __( "Due Date", "wpep" ),
      'options'   => [
        WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_NONE            => __( "Self Paced Learning", "wpep" ),
        WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_DRIPPED         => __( "By Day", "wpep" ),
        WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_SPECIFIC_DATE   => __( "Specific Date", "wpep" ),
        WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_DRIPPED_SECONDS => __( "Advanced : By Seconds", "wpep" )
      ]
    ],**/
  ];
}

function wpep_learning_journey_drip_options() {
  $response = [];

  $response[ '' ] = __( "Day 1", "wpep" );

  for( $i = 1; $i <= 180; $i++ )
    $response[ '+' . $i . ' days' ] = sprintf( __( "Day %s", "wpep" ), $i + 1 );

  return $response;
}