<?php

$migrate_options = [
  'enable-course-archive'      => 'content-type-courses-enable-archive',
  'enable-ebooks-archive'      => 'content-type-ebook-enable-archive',
  'enable-videos-archive'      => 'content-type-video-enable-archive',
  'enable-offers-archive'      => 'content-type-offer-enable-archive',
  'rewrite-slug-courses'       => 'content-type-courses-rewrite-slug',
  'rewrite-slug-ebook'         => 'content-type-ebook-rewrite-slug',
  'rewrite-slug-video'         => 'content-type-video-rewrite-slug',
  'rewrite-slug-offer'         => 'content-type-offer-rewrite-slug',
  'rewrite-slug-assessment'    => 'content-type-assessment-rewrite-slug'
];

$options_migrated = 0;

foreach( $migrate_options as $old_option => $new_option ) {
  if( wpep_get_setting( $old_option ) == wpep_get_setting( $new_option ) )
    continue;

  if( wpep_get_setting( $old_option ) == '' )
    continue;

  wpep_set_setting( $new_option, wpep_get_setting( $old_option ) );

  wpep_delete_setting( $old_option );
  $options_migrated++;
}


if( $options_migrated !== 0 ) {
  echo '<p>' . sprintf( __( "Content Type Settings - OK ( %s migrated %s defaults )", "wpep" ), $options_migrated, ( count( $migrate_options ) - $options_migrated ) ). '</p>';
} else {
  echo '<p>' . sprintf( __( "Content Type Settings - OK", "wpep" ), $options_migrated ). '</p>';
}