<?php

global $wpdb;

$query = 'SELECT * FROM ' . $wpdb->usermeta . ' WHERE meta_key LIKE "%wpep_progress_repeat_track_%"';

$entries = $wpdb->get_results( $query );
$migrated = 0;

foreach( $entries as $entry ) {
  delete_user_meta( $entry->user_id, $entry->meta_key );

  $course_id = str_replace( 'wpep_progress_repeat_track_', '', $entry->meta_key );

  if( get_post_type( $course_id ) != WPEP_POST_TYPE_COURSE )
    continue;

  $repeat_entries = get_user_meta( get_current_user_id(), 'wpep_progress_repeat_track_' . $course_id );

  foreach( $repeat_entries as $repeat_date ) {
    wpep_controller()->userActivity->add_course_user_data(
      WPEP_USER_COURSE_REPEAT_TRACKER,
      strtotime( $repeat_date ),
      $course_id,
      0,
      0,
      $entry->user_id
    );

    $migrated++;
  }


  $migrated++;
}


echo '<p>' . sprintf( __( "Progress Repeat - %s entries migrated", "wpep" ), $migrated ) . '</p>';