<?php

namespace WPEP;

global $wpdb;

require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );

$charset_collate = $wpdb->get_charset_collate();

$discussion_table = $wpdb->prefix . 'wpep_discussion';

$sql = 'CREATE TABLE IF NOT EXISTS ' . $discussion_table . ' (
          `id`            INT NOT NULL AUTO_INCREMENT,
          `post_id`       INT NOT NULL DEFAULT 0,
          `identifier`    VARCHAR(500) NOT NULL DEFAULT "",
          `namespace`     VARCHAR(500) NOT NULL DEFAULT "",
          `created_at`    DATETIME DEFAULT NULL,
          `last_activity` DATETIME DEFAULT NULL,
          PRIMARY KEY (id),
          INDEX `' . $discussion_table . '_post_id` ( `post_id` ),
          INDEX `' . $discussion_table . '_identifier` ( `identifier` )
          ) ' . $charset_collate;

dbDelta( $sql );

$discussion_data_table = $wpdb->prefix . 'wpep_discussion_data';

$sql = 'CREATE TABLE IF NOT EXISTS ' . $discussion_data_table . ' (
          `id`            INT NOT NULL AUTO_INCREMENT,
          `discussion_id` INT NOT NULL DEFAULT 0,
          `user_id`       INT NOT NULL DEFAULT 0,
          `key`           VARCHAR(100) NOT NULL DEFAULT "",
          `value`         VARCHAR(500) NOT NULL,
          PRIMARY KEY (id),
          INDEX `' . $discussion_table . '_discussion_id` ( `discussion_id` ),
          INDEX `' . $discussion_table . '_user_id` ( `user_id` )
          ) ' . $charset_collate;

dbDelta( $sql );

$discussion_comment_table = $wpdb->prefix . 'wpep_discussion_comment';

$sql = 'CREATE TABLE IF NOT EXISTS ' . $discussion_comment_table . ' (
          `id`            INT NOT NULL AUTO_INCREMENT,
          `parent_id`     INT NOT NULL DEFAULT 0,
          `discussion_id` INT NOT NULL DEFAULT 0,
          `user_id`       INT NOT NULL DEFAULT 0,
          `content`       LONGTEXT NOT NULL,
          `created_at`    DATETIME DEFAULT NULL,
          `type`          VARCHAR(500) NOT NULL,
          PRIMARY KEY (id),
          INDEX `' . $discussion_comment_table . '_parent_id` (`parent_id`),
          INDEX `' . $discussion_comment_table . '_discussion_id` (`discussion_id`),
          INDEX `' . $discussion_comment_table . '_user_id` (`user_id`)
          ) ' . $charset_collate;

dbDelta( $sql );

echo '<p>' . sprintf( __( "Created a new table : %s", "wpep" ), $discussion_table ) . '</p>';
echo '<p>' . sprintf( __( "Created a new table : %s", "wpep" ), $discussion_data_table ) . '</p>';
echo '<p>' . sprintf( __( "Created a new table : %s", "wpep" ), $discussion_comment_table ) . '</p>';