<?php

$upload_dir   = wp_upload_dir();

$current_vault_destination = $upload_dir['basedir'] . '/wpep-backup-files';
$new_vault_destination     = wpep_get_upload_dir() . '/backups';

if( !is_dir( $current_vault_destination ) ) {
  echo '<p>' . __( "WPEP Uploads Folder - Backup Files : Ok ", "wpep" ) . '</p>';
} else {
  if( !is_dir( $new_vault_destination ) ) {
    mkdir($new_vault_destination, 0755, true);

    file_put_contents(
      $new_vault_destination . '/.htaccess',
      "Options -Indexes" . "\n" .
      "deny from all" . "\n" .
      "<FilesMatch '\.(jpg|jpeg|png|gif|mp3|ogg)$'>" . "\n" .
      "Order Allow,Deny" . "\n" .
      "Allow from all" . "\n" .
      "</FilesMatch>"
    );
  }

  $backup_list = wpep_controller()->dataSystem->get_backup_list();

  foreach( $backup_list as $backup_item ) {
    $attached_file = get_attached_file( $backup_item->ID );
    $new_attached_file = str_replace( $current_vault_destination, $new_vault_destination, $attached_file );

    rename($attached_file, $new_attached_file );

    update_post_meta( $backup_item->ID, '_wp_attached_file', $new_attached_file );
    wp_update_post( [
      'ID'    => $backup_item->ID,
      'guid'  => $new_attached_file
    ] );
  }

  $it = new \RecursiveDirectoryIterator( $current_vault_destination );
  $it = new \RecursiveIteratorIterator($it, \RecursiveIteratorIterator::CHILD_FIRST);

  foreach($it as $file) {
    if ( in_array( $file->getBasename(), [ '.', '..' ] ) ) continue;
    if ($file->isDir()) rmdir($file->getPathname());
    else unlink($file->getPathname());
  }

  rmdir( $current_vault_destination );

  echo '<p>' . __( "WPEP Uploads Folder - Backup Files : Ok ", "wpep" ) . '</p>';
}