<?php

global $wpdb;

$affected_tables = [ 'wpep_section', 'wpep_section_lesson' ];

foreach( $affected_tables as $affected_table ) {
  $current_query_table = $wpdb->prefix . $affected_table;

  $sql = 'SELECT SQL_CALC_FOUND_ROWS * FROM `' . $current_query_table . '` WHERE `time_action_display_from` != 0 OR `time_action_display_until` != 0 OR `time_action_notify` != 0 LIMIT 10';

  $current_entries = $wpdb->get_results( $sql );
  $total_entries   = absint( $wpdb->get_var( 'SELECT FOUND_ROWS();' ) );

  if( empty( $current_entries ) )
    continue;

  foreach( $current_entries as $current_entry ) {
    $wpdb->update( $current_query_table, [
      'time_action_display_from'     => 0,
      'time_action_display_until'    => 0,
      'time_action_notify'           => 0,
      'journey_access_type'          => ( intval( $current_entry->time_action_display_from ) === 0 ? '' : WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_DRIPPED_SECONDS ),
      'journey_access_segment'       => ( intval( $current_entry->time_action_display_from ) === 0 ? '' : $current_entry->time_action_display_from ),
      'journey_expiration_type'      => ( intval( $current_entry->time_action_display_until ) === 0 ? '' : WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_DRIPPED_SECONDS ),
      'journey_expiration_segment'   => ( intval( $current_entry->time_action_display_until ) === 0 ? '' : $current_entry->time_action_display_until ),
      'journey_execution_type'       => ( intval( $current_entry->time_action_notify ) === 0 ? '' : WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_DRIPPED_SECONDS ),
      'journey_execution_segment'    => ( intval( $current_entry->time_action_notify ) === 0 ? '' : $current_entry->time_action_notify )
    ], [ 'id' => $current_entry->id ] );
  }

  if( count( $current_entries ) < $total_entries ) {
    echo '<p class="wpep-migration-repeat-file-message">';
    echo    sprintf( __( "%s remaining entries to be migrated for %s.", "wpep" ), $total_entries - count( $current_entries ), $current_query_table );
    echo '</p>';
    return;
  }

  echo '<p>' . sprintf( __( "Migration Completed for : %s", "wpep" ), $current_query_table ) . '</p>';
  return;
}

echo '<p>' . __( "Section & Lesson Timing Options Migration Completed", "wpep" ) . '</p>';