<h3><?php echo __( "WPEP Options", 'wpep' ); ?></h3>

<table class="form-table">
  <?php if( wpep_get_setting_flag( 'email-weekly-recap-status' ) ) : ?>
  <?php $meta_value = get_user_meta( $user->ID, 'wpep_disable_email_weekly_recap', true ); ?>
  <tr>
    <th><label for="wpep-weekly-recap"><?php echo __( "Weekly Recap", "wpep" ); ?></label></th>
    <td>
      <input type="hidden" name="wpep_disable_email_weekly_recap" value="1"/>
      <input id="wpep-weekly-recap"
             type="checkbox"
             name="wpep_disable_email_weekly_recap"
             value="0"
             <?php wpep_utility_checked( !intval( $meta_value ), true, true ); ?>/>
    </td>
  </tr>
  <?php endif; ?>
  <?php if( wpep_get_setting_flag( 'user-service-agreement-enabled' ) ) : ?>
    <tr>
      <th><label for="wpep-service-agreement"><?php echo __( "Service Agreement", "wpep" ); ?></label></th>
      <td>
        <input id="wpep-service-agreement"
               type="text"
               class="regular-text wpep-datepicker-field"
               data-wpep-date-format="<?php echo wpep_date_format_to_js( get_option( 'date_format' ) ); ?>"
               name="<?php echo WPEP_USER_META_AGREEMENT_TOS_DATE; ?>"
               value="<?php echo wpep_format_date( get_user_meta( $user->ID, WPEP_USER_META_AGREEMENT_TOS_DATE, true ) ); ?>"/>
        <?php echo wpep_get_setting( 'user-service-agreement-title' ); ?>
      </td>
    </tr>
  <?php endif; ?>
  <?php if( wpep_get_setting_flag( 'user-privacy-agreement-enabled' ) ) : ?>
    <tr>
      <th><label for="wpep-service-agreement"><?php echo __( "Privacy Agreement", "wpep" ); ?></label></th>
      <td>
        <input id="wpep-privacy-agreement"
               type="text"
               class="regular-text wpep-datepicker-field"
               data-wpep-date-format="<?php echo wpep_date_format_to_js( get_option( 'date_format' ) ); ?>"
               name="<?php echo WPEP_USER_META_AGREEMENT_PRIVACY_DATE; ?>"
               value="<?php echo wpep_format_date( get_user_meta( $user->ID, WPEP_USER_META_AGREEMENT_PRIVACY_DATE, true ) ); ?>"/>
        <?php echo wpep_get_setting( 'user-privacy-agreement-title' ); ?>
      </td>
    </tr>
  <?php endif; ?>
  <?php if( wpep_get_setting_flag( 'enable-student-supervisor' ) ) : ?>
    <?php $supervisor_id = intval( get_user_meta( $user->ID, WPEP_USER_META_SUPERVISOR_USER_ID, true ) ); ?>
    <?php $supervisor_user_list = wpep_get_users_by_role( WPEP_USER_ROLE_STUDENT_SUPERVISOR ); ?>
    <tr>
      <th><label for="wpep-service-agreement"><?php echo __( "Student Supervisor", "wpep" ); ?></label></th>
      <td>
        <?php if( !empty( $supervisor_user_list ) ) : ?>
          <select class="regular-text" name="wpep_student_supervisor">
            <option value="0"><?php echo __( "No Supervisor", "wpep" ); ?></option>
            <?php foreach( $supervisor_user_list as $supervisor_user ) : ?>
              <option value="<?php echo $supervisor_user->ID; ?>"
                <?php wpep_utility_selected( $supervisor_id, $supervisor_user->ID ); ?>
              ><?php echo wpep_content_user_profile_format_name( $supervisor_user ); ?></option>
            <?php endforeach; ?>
          </select>
        <?php else : ?>
          <div class="wpep-notification wpep-notification-info">
            <?php echo __( "There's no users with the WPEP Student Supervisor Role available, this field will be available once you create at least one.", "wpep" ); ?>
          </div>
        <?php endif; ?>
      </td>
    </tr>
  <?php endif; ?>
</table>