<div class="wrap" data-wpep-page="discussion-management">
  <h2 class="wpep-title-page"><?php echo __( "WPEP - Discussions Management", "wpep" ); ?></h2>

  <?php if( empty( $discussion_list_with_comments ) ) : ?>
    <div class="wpep-notification wpep-notification-info"><?php echo __( "There's no discussions to display at this moment, try again later.", "wpep" ); ?></div>
  <?php else : ?>
    <div class="wpep-discussion-management-container">
      <table class="wpep-discussion-management wp-list-table widefat fixed striped">
        <thead>
          <tr>
            <th><?php echo __( "Name", "wpep" ); ?></th>
            <th><?php echo __( "Last Activity", "wpep" ); ?></th>
            <th><?php echo __( "First Activity", "wpep" ); ?></th>
            <th><?php echo __( "Operations", "wpep" ); ?></th>
          </tr>
        </thead>
        <tbody>
          <?php foreach( $discussion_list_with_comments as $discussion_with_comments ) : ?>
            <?php $integration_instance = wpep_controller()->discussion->get( $discussion_with_comments->namespace ); ?>
            <tr>
              <td><?php echo $integration_instance->get_discussion_name( $discussion_with_comments ); ?></td>
              <td><?php echo wpep_format_date_with_time( $discussion_with_comments->last_activity); ?></td>
              <td><?php echo wpep_format_date_with_time( $discussion_with_comments->created_at); ?></td>
              <td>
                <a data-wpep-discussion-open-popup="<?php echo $discussion_with_comments->id; ?>"
                   class="wpep-button wpep-button-primary">
                  <?php echo __( "Open", "wpep" ); ?>

                  <span class="wpep-mini-spinner-loader"><i></i><i></i><i></i><i></i></span>
                </a>
              </td>
            </tr>
            <?php if( isset( $discussion_with_comments->comments ) && !empty( $discussion_with_comments->comments ) ) : ?>
              <tr class="wpep-discussion-management-preview-container">
                <td colspan="4" class="wpep-discussion-management-comments-container">
                  <ul class="wpep-discussion-management-comments">
                    <?php foreach( $discussion_with_comments->comments as $discussion_comment ) : ?>
                    <li>
                      <div class="wpep-comment-section-top">
                        <div class="wpep-comment-author-container"
                             data-wpep-comment-user-id="<?php echo $discussion_comment->user_id; ?>">
                          <?php echo get_avatar( $discussion_comment->user_id, 40, wpep_get_setting( 'user-profile-default-profile-picture' ) ); ?>
                          <div class="wpep-comment-author-name-and-date">
                            <p class="wpep-comment-author-name"><?php echo wpep_content_user_profile_format_name( $discussion_comment->user_id ); ?></p>
                            <span class="wpep-comment-time-and-date"><?php echo wpep_discussion_format_date( $discussion_comment->created_at );?></span>
                          </div>
                        </div>
                      </div>
                      <div id="wpep-comment-content-<?php echo $discussion_comment->id; ?>"
                           class="wpep-single-comment-content wpep-content-from-editor">
                        <?php echo wpep_discussion_comment_content( $discussion_comment ); ?>
                      </div>
                    </li>
                    <?php endforeach; ?>
                  </ul>
                </td>
              </tr>
            <?php endif; ?>
          <?php endforeach; ?>
        </tbody>
      </table>

      <div class="wpep-pagination-links">
        <?php echo paginate_links( [
          'base'    => wpep_admin_url_discussions_management() . '%_%',
          'format'  => '&pagination=%#%',
          'current' => $pagination_current,
          'total'   => $pagination_total
        ] ); ?>
      </div>
    </div>
  <?php endif; ?>
</div>
