<div class="wpep-data-system">

  <?php if( !class_exists( '\ZipArchive' ) ) : ?>
    <div class="wpep-notification wpep-notification-danger">
      <?php echo __( "Please enable the PHP Zip Library, if you do not know how to do this, contact your hosting provider.", "wpep" ); ?>
    </div>
  <?php endif; ?>

  <div class="wpep-left-side">
    <div class="wpep-data-system-import">
      <div class="wpep-title-container">
        <h2 class="wpep-title"><?php echo __( "Import WPEP Backup", "wpep" ); ?></h2>
        <span id="wpep-dsi-zip-backup-open" class="wpep-button wpep-button-primary"><?php echo __( "Start", "wpep" ); ?></span>
      </div>
      <form class="wpep-utility-data-sync"
            data-wpep-sync-ajax="wpep_data_system_import_process"
            data-wpep-sync-stage="start"
            data-wpep-sync-display-trigger="#wpep-dsi-zip-backup-open"
            method="POST">
        <div class="wpep-content-wrapper"></div>
        <?php echo wpep_spinner_loader( __( "Please wait...", "wpep" ) ); ?>
      </form>
    </div>
    <?php if( wpep_content_type()->is_enabled( WPEP_POST_TYPE_COURSE ) ) : ?>
      <div class="wpep-data-system-import">
        <div class="wpep-title-container">
          <h2 class="wpep-title"><?php echo __( "Import CSV : Courses", "wpep" ); ?></h2>
          <span id="wpep-dsi-csv-courses-open" class="wpep-button wpep-button-primary"><?php echo __( "Start", "wpep" ); ?></span>
        </div>
        <form class="wpep-utility-data-sync"
              data-wpep-sync-ajax="wpep_data_system_import_csv_courses_process"
              data-wpep-sync-stage="start"
              data-wpep-sync-display-trigger="#wpep-dsi-csv-courses-open"
              method="POST">
          <div class="wpep-content-wrapper"></div>
          <?php echo wpep_spinner_loader( __( "Please wait...", "wpep" ) ); ?>
        </form>
      </div>
    <?php endif; ?>

    <?php if( defined( "WPEP_BETA_TESTING" ) ) : ?>
      <div class="wpep-data-system-import">
        <div class="wpep-title-container">
          <h2 class="wpep-title"><?php echo __( "Import CSV : Users", "wpep" ); ?></h2>
          <span id="wpep-dsi-csv-users-open" class="wpep-button wpep-button-primary"><?php echo __( "Start", "wpep"  ); ?></span>
        </div>
        <form class="wpep-utility-data-sync"
              data-wpep-sync-ajax="wpep_data_system_import_csv_users_process"
              data-wpep-sync-stage="start"
              data-wpep-sync-display-trigger="#wpep-dsi-csv-users-open"
              method="POST">
          <div class="wpep-content-wrapper"></div>
          <?php echo wpep_spinner_loader( __( "Please wait...", "wpep" ) ); ?>
        </form>
      </div>
    <?php endif; ?>
  </div>
  <div class="wpep-right-side">
    <?php $backup_list = wpep_controller()->dataSystem->get_backup_list(); ?>

    <div class="wpep-data-system-backup-list">
      <?php if( isset( $_GET[ 'backup-created' ] ) ) : ?>
        <div class="wpep-notification wpep-notification-success"><?php echo __( "Backup has been created", "wpep" ); ?></div>
      <?php endif; ?>

      <table class="wp-list-table widefat striped">
        <thead>
          <tr>
            <th><?php echo __( "Backup List", "wpep" ); ?></th>
            <th class="wpep-last-td">
              <a class="wpep-button wpep-button-primary wpep-button-right" href="<?php echo wp_nonce_url( wpep_admin_url_platform_health( [ 'tab' => 'data-system' ] ), 'wpep-create-backup', 'wpep-create-backup' ); ?>">
                <?php echo __( "Create Backup", "wpep" ); ?>
              </a>
            </th>
          </tr>
        </thead>
        <tbody>
        <?php if( !empty( $backup_list ) ) : ?>
          <?php foreach( $backup_list as $backup_post ) : ?>
          <tr>
            <td><?php echo $backup_post->post_title; ?></td>
            <td class="wpep-last-td">
              <a href="<?php echo wpep_admin_url_platform_health( [ 'tab' => 'data-system', 'download-backup' => $backup_post->ID ] ); ?>"
                 class="wpep-button wpep-button-primary"><?php echo __( "Download", "wpep" ); ?></a>
            </td>
          </tr>
          <?php endforeach; ?>
        <?php else : ?>
          <tr>
            <td class="wpep-notification wpep-notification-info" colspan="2"><?php echo __( "No Backups have been created yet", "wpep" ); ?></td>
          </tr>
        <?php endif; ?>
        </tbody>
      </table>
    </div>

    <?php if( isset( $form_fields_instance ) ) : ?>
      <div class="wpep-data-system-settings">
        <?php if( isset( $settings_updated ) && $settings_updated ) : ?>
          <div class="wpep-notification wpep-notification-success"><?php echo __( "Settings has been updated", "wpep" ); ?></div>
        <?php endif; ?>
        <div class="wpep-title-container">
          <h2 class="wpep-title"><?php echo __( "Platform Backup Settings" ); ?></h2>
        </div>
        <form method="POST">
          <?php $form_fields_instance->display_table_start(); ?>
          <?php $form_fields_instance->display_table_checkbox_field( __( "Background Backups", "wpep"), 'data-system-enable-background-backups', __( "We'll create daily backups of all your content created in the WPEP Platform.", "wpep" ) ); ?>
          <?php $form_fields_instance->display_table_numeric_field( __( "Export Cleanup", "wpep" ), 'data-system-backups-cap', __( "An backup expires after the number of days chosen above, the most recent backup will be kept, even if it's expired.", "wpep" ) ); ?>
          <?php $form_fields_instance->display_table_end(); ?>
          <input type="submit" class="wpep-button wpep-button-primary" name="wpep-data-system-save-settings" value="<?php echo __( "Save Changes", "wpep" ); ?>"/>
        </form>
      </div>
    <?php endif; ?>
  </div>
  <div class="clearfix wpep-clearfix"></div>
</div>