<?php $course_started_at   = wpep_controller()->userActivity->get_course_user_data_value( WPEP_USER_COURSE_STARTED, $course_id, false, false, $user_id, true ); ?>
<?php $course_completed_at = wpep_controller()->userActivity->get_course_user_data_value( WPEP_USER_COURSE_COMPLETED_AT, $course_id, false, false, $user_id, true ); ?>

<div class="wpep-user-profile-container">
  <div class="wpep-user-profile">
    <?php echo get_avatar( $user_information->ID ); ?>
    <p class="wpep-user-profile-nicename"><?php echo wpep_content_user_profile_format_name( $user_information ); ?></p>
    <p class="wpep-user-profile-email"><?php echo $user_information->user_email; ?></p>
    <?php if( wpep_has_sid_support() ) : ?>
      <p class="wpep-user-profile-sid"><?php echo get_user_meta( $user_information->ID, WPEP_USER_META_STUDENT_IDENTIFICATION, true ); ?></p>
    <?php endif; ?>
  </div>
  <div class="wpep-user-course-history">
    <h2 class="wpep-course-navigation-container">
      <span><?php echo __( "Switch To : ", "wpep" ) ?></span>
      <select id="wpep-course-navigation-helper"
              data-base-url="<?php echo wpep_admin_url_statistics( [ 'tab' => 'courses', 'user_id' => $user_information->ID ] ) . '&course_id='; ?>">
        <?php foreach( $course_list as $course ) : ?>
          <option value="<?php echo $course->ID; ?>" <?php selected( $course_id, $course->ID, true ); ?>><?php echo $course->post_title; ?></option>
        <?php endforeach; ?>
      </select>
    </h2>
    <ul class="wpep-course-user-information-report">
      <li class="wpep-course-started-at">
        <p><?php echo __( "Started At : ", "wpep" )?></p>
        <input type="text"
               class="wpep-datetime-picker-field"
               data-wpep-course-user-data-change-course-id="<?php echo $course_id; ?>"
               data-wpep-course-user-data-change-user-id="<?php echo $user_information->ID; ?>"
               data-wpep-course-user-data-change-key="<?php echo WPEP_USER_COURSE_STARTED; ?>"
               data-wpep-course-user-data-change-nonce="<?php echo wp_create_nonce( 'wpep-user-data-' . WPEP_USER_COURSE_STARTED ); ?>"
               value="<?php echo wpep_format_date_with_time( $course_started_at ); ?>"/>
      </li>
      <?php if( $course_completed_at !== null ) :?>
        <li class="wpep-course-completed-at">
          <p><?php echo __( "Completed At : ", "wpep" ); ?></p>
          <input type="text"
                 class="wpep-datetime-picker-field"
                 data-wpep-course-user-data-change-course-id="<?php echo $course_id; ?>"
                 data-wpep-course-user-data-change-user-id="<?php echo $user_information->ID; ?>"
                 data-wpep-course-user-data-change-key="<?php echo WPEP_USER_COURSE_COMPLETED_AT; ?>"
                 data-wpep-course-user-data-change-nonce="<?php echo wp_create_nonce( 'wpep-user-data-' . WPEP_USER_COURSE_COMPLETED_AT ); ?>"
                 value="<?php echo wpep_format_date_with_time( $course_completed_at ); ?>"/>
        </li>
      <?php else : ?>
        <li class="wpep-course-progress-bar-container">
          <p><?php echo __( "Progress", "wpep" ) ?></p>
          <?php $progress_percent = wpep_controller()->userActivity->course_progress_percentage( $course_id, $user_id ); ?>
          <div class="wpep-progress-bar-container">
            <p class="wpep-progress-bar-value"><?php echo wpep_get_percentage( $progress_percent ); ?></p>
            <div class="wpep-progress-bar">
              <div class="wpep-progress-bar-fill"
                   role="progressbar"
                   aria-valuenow="<?php echo $progress_percent; ?>"
                   aria-valuemin="0"
                   aria-valuemax="100"
                   style="width: <?php echo $progress_percent; ?>%"></div>
            </div>
          </div>
        </li>
      <?php endif; ?>
    </ul>

    <h2><?php echo __( "Lesson List", "wpep" ); ?></h2>

    <table class="wpep-statistics-table wp-list-table widefat fixed striped">
      <thead>
        <tr>
          <th><?php echo __( "Section", "wpep"); ?></th>
          <th><?php echo __( "Lesson", "wpep"); ?></th>
          <th><?php echo __( "Completed At", "wpep"); ?></th>
        </tr>
      </thead>
      <tbody>
        <?php foreach( $user_course_map as $section_information ) : ?>
          <?php $user_section_learning_path = ( isset( $section_information->user_data->learning_path ) ? $section_information->user_data->learning_path : -1 ); ?>
          <tr>
            <td><?php echo $section_information->title; ?></td>
            <td colspan="2">
              <?php if( $user_section_learning_path != -1 ) : ?>
                <?php echo ( isset( $section_information->options->question_answers[$user_section_learning_path] )
                  ? ' ( ' . $section_information->options->question_answers[$user_section_learning_path] . ' ) '
                  : ' ( ' . __( "User went trough a learning path that has been deleted.", "wpep" ) . ' ) '
                ); ?>
              <?php endif; ?>
            </td>
          </tr>
          <?php foreach( $section_information->lessons as $lesson ) : ?>
            <?php
              if( isset( $lesson->options->question_answer ) ) {
                if( $lesson->options->question_answer != -1 && $lesson->options->question_answer != $user_section_learning_path )
                  continue;
              }
            ?>
            <tr>
              <td></td>
              <td><?php echo $lesson->title; ?></td>
              <td><?php echo ( $lesson->is_completed ? wpep_format_date_with_time( $lesson->completed_at ) : '-' ); ?></td>
            </tr>
          <?php endforeach; ?>
        <?php endforeach; ?>
      </tbody>
    </table>

    <?php if( !empty( $user_progress_repeat ) ) : ?>
      <h2><?php echo __( "Progress Repeat Tracking", "wpep" );?></h2>

      <table class="wpep-statistics-table wp-list-table widefat fixed striped">
        <thead>
          <tr>
            <th><?php echo __( "Date", "wpep" ); ?></th>
          </tr>
        </thead>
        <tbody>
          <?php foreach( $user_progress_repeat as $timestamp ) : ?>
            <tr>
              <td><?php echo wpep_format_date_with_time( $timestamp ); ?></td>
            </tr>
          <?php endforeach; ?>
        </tbody>
      </table>
    <?php endif; ?>
  </div>
</div>

<script type="text/javascript">
  jQuery(document).ready(function () {
    jQuery("#wpep-course-navigation-helper").bind( "change", function() {
      window.location.replace( jQuery(this).attr("data-base-url") + jQuery(this).val() );
    });
  });
</script>