<?php $current_time = time(); ?>

<div class="wpep-title-container">
  <h3><?php echo __( "Activity Reporting", "wpep" ); ?></h3>

  <div class="wpep-filter-operations-container">
    <?php foreach( $activity_report_map as $activity_report_slot_key => $activity_report_name ) : ?>
      <input class="wpep-button wpep-button-primary<?php echo $current_report === $activity_report_slot_key ? ' wpep-button-active' : ''; ?>"
             type="submit"
             data-switch-sync-step="<?php echo $activity_report_slot_key; ?>"
             value="<?php echo $activity_report_name;?>"/>
    <?php endforeach; ?>
    <span class="wpep-custom-range-filter-toggle wpep-button wpep-button-primary<?php echo $date_range_active ? ' wpep-button-active' : ''; ?>">
      <?php echo __( "Custom Range", "wpep" ); ?>
    </span>
  </div>
  <div class="wpep-filter-operations-date-range <?php echo $date_range_active ? 'wpep-visible' : 'wpep-hidden'; ?>">
    <p class="wpep-filter-operations-date-range-container">
      <span class="wpep-filter-date-range-from-container"><input type="text" class="wpep-datetime-picker-field" name="date_range[from]" value="<?php echo wpep_format_date_with_time( $date_range_from ) ?>" placeholder="<?php echo __( "From", "wpep" )?>"/></span>
      <span class="wpep-filter-date-range-to-container"><input type="text" class="wpep-datetime-picker-field" name="date_range[to]" value="<?php echo wpep_format_date_with_time( $date_range_to ) ?>" placeholder="<?php echo __( "To", "wpep" )?>"/></span>
      <input class="wpep-button wpep-button-primary"
             type="submit"
             data-switch-sync-step="from_date_range"
             value="<?php echo __( "Generate Report", "wpep" );?>"/>
    </p>
  </div>
</div>

<?php if( !empty( $activity_report_chart_data['data'] ) ) : ?>
  <div id="wpep-activity-report-<?php echo $current_time; ?>"></div>

  <script type="text/javascript">
    jQuery( document ).ready( function() {
      WPEPStatisticsChartHandler.Init(
        "#wpep-activity-report-<?php echo $current_time; ?>",
        ["<?php echo implode( '","', $activity_report_chart_data['labels'] ); ?>"],
        <?php echo json_encode( $activity_report_chart_data['data'] ); ?>,
        "line",
        "right"
      );
    } );
  </script>
<?php else : ?>
  <div class="wpep-activity-report-placeholder-container">
    <div class="wpep-activity-report-placeholder-label-container">
      <p data-wpep-activity-report-placeholder-label="left"><?php echo __( "Sample Chart", "wpep" ); ?></p>
      <p data-wpep-activity-report-placeholder-label="right"><?php echo sprintf( __( "No Data Available for %s Report", "wpep" ), ( isset( $activity_report_map[ $current_report ] ) ? $activity_report_map[ $current_report ] : __( "Custom Filter Range", "wpep" ) ) ); ?></p>
    </div>
    <img class="wpep-activity-report-placeholder" src="<?php echo plugin_dir_url( WPEP_BASE_FILE_PATH ) ?>assets/img/chart-placeholder-image.jpg"/>
  </div>
<?php endif; ?>
