<?php if( !isset( $include_header ) || ( isset( $include_header ) && $include_header ) ) wpep_template_header(); ?>

<?php do_action( 'wpep_before_main_content' ); ?>

<?php

$container_class_map = [
  'row'         => 'row',
  'assessment'  => 'wpep-assessment-single'
] + ( isset( $container_class_map ) ? $container_class_map : [] );
$container_class_map = apply_filters( 'wpep_single_assessment_attr_classes', $container_class_map );

$assessment_id = ( isset( $assessment_id ) ? $assessment_id : get_the_ID() );
?>

<div data-wpep-assessment-id="<?php echo $assessment_id; ?>"
     data-wpep-assessment-url="<?php echo get_permalink( $assessment_id ); ?>"
     data-wpep-assessment-ajax-loaded="<?php echo intval( isset( $is_ajax_loaded ) && $is_ajax_loaded ); ?>"
     data-wpep-assessment-ajax-experience="<?php echo isset( $is_ajax_experience ) ? intval( $is_ajax_experience ) : wpep_get_setting_flag( 'assessment-ajax-enabled' ); ?>"
     class="<?php echo ( is_array( $container_class_map ) ? implode( " ", $container_class_map ) : 'row' ); ?>">

  <div id="assessment-primary">
    <div id="assessment-content" role="main">
      <?php if( isset( $is_ajax_loaded ) && $is_ajax_loaded ) : ?>
        <?php wpep_template_load( 'assessment/_ajax_loaded_helper.php', [
            'is_visible'    => isset( $container_is_visible ) ? $container_is_visible : true,
            'assessment_id' => $assessment_id
        ] ); ?>
      <?php else : ?>
        <?php do_action( 'wpep_single_assessment_content' ); ?>
      <?php endif; ?>
    </div>
  </div>

  <div class="wpep-clearfix"></div>
</div>

<?php do_action( 'wpep_after_main_content' ); ?>

<?php if( !isset( $include_footer ) || ( isset( $include_footer ) && $include_footer ) ) wpep_template_footer(); ?>

