<?php $is_minimal = ( isset( $is_minimal ) ? $is_minimal : true ); ?>
<?php $is_visible = ( isset( $is_visible ) ? $is_visible : true ); ?>


<ul class="standard-course-lessons <?php echo $is_visible ? 'wpep-visible' : 'wpep-hidden'; ?>">
  <?php $i = 1; foreach( $lesson_list as $lesson_id => $lesson ) : ?>
    <?php $is_disabled = ( isset( $lesson['options'] ) && isset( $lesson['options']['is_disabled'] ) && $lesson['options']['is_disabled'] ); ?>
    <?php $class = 'standard-course-lesson'; ?>
    <?php $class .= ( $is_disabled ? ' standard-course-lesson-disabled' : '' ); ?>
    <?php $class .= ( $lesson['is_completed'] ? ' completed' : ' pending' ); ?>
    <?php $class .= ( isset( $current_lesson_id ) && $current_lesson_id == $lesson_id ? ' current' : '' ); ?>
    <?php ?>
    <li id="wpep-lesson-<?php echo $lesson_id; ?>"
        class="<?php echo $class; ?>">
      <?php if( !$is_disabled ) : ?>
      <a href="<?php echo wpep_course_lesson_permalink( $lesson_id, $course_id ); ?>">
        <?php if( !$is_minimal ) : ?>
        <strong><?php echo wpep_get_setting_translated( 'course-standard-lesson' ) . ' ' . $i; ?></strong>
        <?php endif; ?>
        <span class="title-lesson"><?php echo $lesson['title']; ?></span>
        <?php if( !$is_minimal ) : ?>
        <span class="start-lesson"><?php echo wpep_get_setting_translated( 'course-standard-start-lesson' ); ?></span>
        <?php endif; ?>
      </a>
      <?php else : ?>
        <p class="wpep-lesson-locked">
          <?php if( !$is_minimal ) : ?>
            <strong><?php echo wpep_get_setting_translated( 'course-standard-lesson' ) . ' ' . $i; ?></strong>
          <?php endif; ?>
          <span class="title-lesson"><?php echo $lesson['title']; ?></span>
        </p>
      <?php endif; ?>
    </li>
  <?php $i++; endforeach; ?>

  <?php if( isset( $assessments ) ) : ?>
    <?php foreach( $assessments as $assessment ) : ?>
      <li class="standard-course-assessment <?php echo $assessment['status']; ?>">
        <a href="<?php echo $assessment['permalink']; ?>">
          <?php if( !$is_minimal ) : ?>
            <strong><?php echo wpep_get_setting_translated( 'assessment' ) ?></strong>
          <?php endif; ?>
          <span class="title-lesson"><?php echo $assessment['title']; ?></span>
          <?php if( !$is_minimal ) : ?>
            <span class="start-assessment"><?php echo wpep_get_setting_translated( 'assessment-view' ); ?></span>
          <?php endif; ?>
        </a>
      </li>
    <?php endforeach; ?>
  <?php endif; ?>
</ul>