<form data-course-id="<?php echo $course_id; ?>"
      class="wpep-course-form"
      name="course-builder"
      method="post">
  <?php $assessment_requirement = false; foreach( $course_sections as $course_section_id => $course_section ) : ?>
    <?php
      $has_learning_path = (
           isset( $course_section['options']['question_answers'] )
        && !empty( $course_section['options']['question_answers'] )
        && count( $course_section['options']['question_answers'] ) >= 2
      );

      $is_section_disabled = ( isset( $course_section['options'] ) && isset( $course_section['options']['is_disabled'] ) && $course_section['options']['is_disabled'] );

      $field_class = 'section-accordion-group';

      $field_class .= " " . ( $assessment_requirement ? 'wpep-hidden' : 'wpep-visible' );
      $field_class .= ( $has_learning_path ? ' section-with-learning-path' : '' );
      $field_class .= ( $course_section['is_completed'] ? ' section-completed' : '' );
      $field_class .= ( $is_section_disabled ? ' wpep-section-disabled' : '' );

      // The Assessment requirement is actually considered for the Next Section, not the current section.
      if( !isset( $assessments_required ) || $assessments_required ) {
        if( isset( $course_section['assessment_id'] ) && $course_section['assessment_id'] != 0 )
          if( wpep_user_assessment_status( $course_section['assessment_id'] ) != WPEP_USER_ASSESSMENT_STATUS_COMPLETED )
            $assessment_requirement = true;
      }
    ?>
    <div id="wpep-section-container-<?php echo $course_section_id; ?>" class="<?php echo $field_class; ?>">
      <h2>
        <?php if( $is_section_disabled || $course_read_only || ( isset( $course_section['options']['display_checkbox'] ) && $course_section['options']['display_checkbox'] == 0 ) ) : ?>
          <div class="checkbox">
            <span class="section-heading"><?php echo $course_section['title']; ?></span>
          </div>
        <?php else : ?>
          <div class="checkbox">
            <input type="checkbox" class="section-checkbox" <?php checked( $course_section['is_completed'] ); ?> style="">
            <span class="checkboxclass <?php echo ( $course_section['is_completed'] ) ? 'checked' : ''; ?>"></span>
            <span class="section-heading"><?php echo $course_section['title']; ?></span>
          </div>
        <?php endif; ?>
      </h2>

      <?php if( $course_section['content'] !== '' ) : ?>
        <div class="wpep-content-from-editor section-description">
          <?php echo apply_filters( "wpep_course_single_content_section_content", $course_section['content'], $course_section ); ?>
        </div>
      <?php endif;?>

      <?php if( $has_learning_path ) : ?>
        <?php wpep_template_load( 'partial/course-single-learning-path.php', [
          'course_section_id' => $course_section_id,
          'course_section'    => $course_section
        ] ); ?>
      <?php endif; ?>

      <div class="lesson-accordion">
        <?php foreach( $course_section['lessons'] as $lesson_id => $lesson ) : ?>
          <?php $is_disabled = ( isset( $lesson['options'] ) && isset( $lesson['options']['is_disabled'] ) && $lesson['options']['is_disabled'] ); ?>
          <?php $lesson['content'] = ( $is_disabled ? '' : apply_filters( "wpep_course_single_content_lesson_content", $lesson['content'], $lesson ) ) ;?>
          <?php $class = 'lesson-accordion-group';
                $class .= ( $lesson['content'] == '' ? ' lesson-accordion-group-no-content' : '' );
                $class .= ( $has_learning_path       ? ' wpep-hidden' : '' );
                $class .= ( $lesson['is_completed']  ? ' lesson-completed' : '' );
                $class .= ( $is_disabled   ? ' wpep-lesson-disabled' : '' );
          ?>
          <div class="<?php echo $class; ?>"
               data-wpep-lesson-id="<?php echo $lesson_id; ?>"
            <?php echo $has_learning_path && isset( $lesson['options']['question_answer'] ) ? 'data-learning-path-option="' . $lesson['options']['question_answer'] . '"' : ''; ?>
          >
            <h3 id="wpep-course-lesson-<?php echo $lesson_id; ?>" class="ui-accordion-header">
              <?php if( $course_read_only || $is_disabled ) : ?>
                <div class="checkbox">
                  <span class="lesson-heading"><?php echo $lesson['title']; ?></span>
                </div>
              <?php else : ?>
                <div class="checkbox">
                  <input type="checkbox"
                         class="lesson-checkbox" <?php checked( $lesson['is_completed'] ); ?>
                         value="<?php echo $lesson_id; ?>">
                  <span class="checkboxclass1 <?php echo ( $lesson['is_completed'] ) ? 'checked' : ''; ?>"></span>
                  <span class="lesson-heading"><?php echo $lesson['title']; ?></span>
                </div>
              <?php endif; ?>

              <?php if( $lesson['content'] !== '' ) : ?>
                <span class="lesson-head-icon"><i class="contain-icon"></i></span>
              <?php elseif( $is_disabled ) : ?>
                <span class="lesson-icon-lock"><i class="lock-icon"></i></span>
              <?php endif; ?>
            </h3>

            <?php if( $lesson['content'] !== '' ) : ?>
              <?php if( isset( $load_lesson_content_on_demand ) && $load_lesson_content_on_demand ) : ?>
                <div class="wpep-content-from-editor lesson-content wpep-hidden" data-wpep-content-loaded="0"></div>
              <?php else : ?>
                <div class="wpep-content-from-editor lesson-content wpep-hidden" data-wpep-content-loaded="1">
                  <?php echo $lesson['content']; ?>
                  <div class="wpep-clearfix"></div>
                </div>
              <?php endif; ?>
            <?php endif; ?>
          </div>
        <?php endforeach; ?>
      </div>
      <?php if( isset( $course_section['assessment_id'] ) ) : ?>
        <?php do_action(
            'wpep_user_assessment_box',
              $course_section['assessment_id'],
              ( $course_section['is_completed'] || wpep_user_assessment_status( $course_section['assessment_id'], get_current_user_id() ) === WPEP_USER_ASSESSMENT_STATUS_COMPLETED )
        ); ?>
      <?php endif; ?>
    </div>
  <?php endforeach; ?>

  <?php if( isset( $final_assessment_id ) ) : ?>
    <?php do_action(
        'wpep_user_assessment_box',
          $final_assessment_id,
          (  ( $assessment_requirement ? false : intval( $progress_percent ) === 100 ) )
    ); ?>
  <?php endif; ?>

</form>
