<?php
$discussion_users = wpep_controller()->discussion->get( $discussion_namespace )->get_discussion_users( $discussion_id, [
  'limit' => WPEP_DISCUSSION_USER_LIST_PREVIEW_PER_PAGE
] );
?>
<?php if( !empty( $discussion_users['entries'] ) ) : ?>
  <div class="wpep-post-comments-user-list-container" data-wpep-comment-user-list-mode="preview">
    <h3 class="wpep-post-comments-user-list-title"><?php echo wpep_get_setting_translated( 'comments-user-list-title' ); ?></h3>

    <div class="wpep-post-comments-user-list-loader-container wpep-hidden">
      <?php echo wpep_spinner_loader(); ?>
    </div>

    <div class="wpep-post-comments-user-list-inner-container">
      <ul class="wpep-post-comments-user-list">
        <?php foreach( $discussion_users['entries'] as $user ) : ?>
          <?php if( wpep_user_profile_is_public( $user->ID ) || wpep_user_profile_current_user_can_view( $user->ID ) ) : ?>
            <li data-wpep-tooltip="<?php echo wpep_content_user_profile_format_name( $user ); ?>">
              <a target="_blank" href="<?php echo wpep_user_profile_public_link( $user->ID ); ?>">
                <?php echo get_avatar( $user->ID, 50, wpep_get_setting( 'user-profile-default-profile-picture' ) ); ?>
              </a>
            </li>
          <?php else : ?>
            <li data-wpep-tooltip="<?php echo wpep_content_user_profile_format_name( $user ); ?>">
              <?php echo get_avatar( $user->ID, 50, wpep_get_setting( 'user-profile-default-profile-picture' ) ); ?>
            </li>
          <?php endif; ?>
        <?php endforeach; ?>
      </ul>
    </div>

    <div class="wpep-post-comments-user-list-operations-container">
      <a class="wpep-post-comments-user-list-show-everyone wpep-button wpep-button-primary"><?php echo wpep_get_setting_translated( 'comments-user-list-show-container' ); ?></a>
    </div>
  </div>
<?php endif; ?>