<?php

use WPEP\Entity\Assessment as Entity_Assessment;

$questions = Entity_Assessment::instance()->get_questions_by_assessment_id( $assessment_id, true, false );

$user_answers = wpep_utility_map_to_array_assoc( wpep_controller()->userActivity->assessment->get_user_data(
  'answer', $assessment_id, false, false, $user_id, false
), 'question_id', 'value', true );

$question_answer_status_list = wpep_utility_map_to_array_assoc( wpep_controller()->userActivity->assessment->get_user_data(
  'is_correct', $assessment_id, false, false, $user_id, false
), 'question_id', 'value', true );

?>

<table style="margin: 0 0 20px 0; padding: 0; color: #242424; border: 2px solid #dedede; -webkit-border-radius: 10px; -moz-border-radius: 10px; border-radius: 10px;">
  <thead>
    <tr>
      <td style="margin: 0; padding: 10px; color: #242424;  font-size: 18px; font-weight: 700; line-height: 1em; border-bottom: 2px solid #dedede; border-right: 2px solid #dedede; "><?php echo __( "Question", "wpep" ); ?></td>
      <td style="margin: 0; padding: 10px; color: #242424;  font-size: 18px; font-weight: 700; line-height: 1em; border-bottom: 2px solid #dedede;"><?php echo __( "Answer", "wpep" ); ?></td>
    </tr>
  </thead>
  <tbody>
    <?php $i = 1; foreach( $questions as $question ) : ?>
      <tr>
        <td style="margin: 0; padding: 10px; color: #242424; font-size: 15px; font-weight: 600; line-height: 1.3em; border-right: 1px solid #dedede; border-bottom: 1px solid #dedede;"><?php echo $question->title; ?></td>
        <td style="margin: 0; padding: 10px; color: #242424;  font-size: 15px; font-weight: 400; line-height: 1.3em; text-align: justify; border-bottom: 1px solid #dedede;">
          <?php if( is_array( $user_answers[$question->id] ) ) : ?>
            <?php $mapped_answers = wpep_utilities_map_object( $question->answers, 'id' ); ?>
            <ul>
              <?php foreach( $user_answers[$question->id] as $user_answer ) : ?>
                <?php $user_answer = ( isset( $mapped_answers[$user_answer]->title ) ? $mapped_answers[$user_answer]->title : $user_answer ); ?>

                <li><?php echo wpautop( make_clickable( $user_answer ) ); ?></li>
              <?php endforeach; ?>
            </ul>
          <?php else : ?>
            <?php echo wpautop( make_clickable( $user_answers[$question->id] ) ); ?>
          <?php endif; ?>
        </td>
      </tr>
    <?php endforeach; ?>
  </tbody>
</table>