<?php echo wpep_format_content( wpep_get_setting( 'user-profile-tab-my-students-content' ) ); ?>

<table class="wpep-table">
  <thead>
    <tr>
      <th><?php echo __( "Name", "wpep"); ?></th>
      <th><?php echo __( "Recently Started", "wpep" ); ?></th>
      <th><?php echo __( "Recently Completed", "wpep" ); ?></th>
      <th><?php echo __( "Courses Completed", "wpep" ); ?></th>
    </tr>
  </thead>
  <tbody>
    <?php foreach( $user_list as $user ) : ?>
      <?php $courses_started   = wpep_controller()->userActivity->statistics->get_started_courses_count( $user->ID ); ?>
      <?php $courses_completed = wpep_controller()->userActivity->statistics->get_completed_course_count( $user->ID ); ?>
      <tr>
        <?php if( wpep_public_profiles_enabled() ) : ?>
          <td><a href="<?php echo wpep_user_profile_public_link( $user->ID ); ?>" target="_blank"><?php echo wpep_content_user_profile_format_name( $user ); ?></a></td>
        <?php else : ?>
          <td><?php echo wpep_content_user_profile_format_name( $user ); ?></td>
        <?php endif; ?>
        <td><?php echo wpep_controller()->userActivity->last_course_interaction_by_flag( WPEP_USER_COURSE_STARTED, $user->ID, false ); ?></td>
        <td><?php echo wpep_controller()->userActivity->last_course_interaction_by_flag( WPEP_USER_COURSE_COMPLETED_AT, $user->ID, false ); ?></td>
        <?php if( $courses_started != 0 ) : ?>
        <td><?php echo $courses_completed . ' / ' . $courses_started; ?></td>
        <?php else : ?>
        <td>-</td>
        <?php endif; ?>
      </tr>
    <?php endforeach; ?>
  </tbody>
</table>